> For the complete documentation index, see [llms.txt](https://developer.firmhouse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.firmhouse.com/graphql-api/api-reference/objects/churn-request.md).

# ChurnRequest

### Fields

#### churnReason ([ChurnReason](/graphql-api/api-reference/objects/churn-reason.md))

The reason selected for churning

#### createdAt ([ISO8601DateTime](/graphql-api/api-reference/objects/iso-8601-date-time.md)!)

When the churn request was created

#### feedback ([String](/graphql-api/api-reference/objects/string.md))

Customer feedback about why they want to cancel

#### followUpAction ([ChurnRequestFollowUpAction](/graphql-api/api-reference/objects/churn-request-follow-up-action.md)!)

The follow-up action taken

#### id ([ID](/graphql-api/api-reference/objects/id.md)!)

The database ID for this churn request

#### status ([ChurnRequestStatus](/graphql-api/api-reference/objects/churn-request-status.md)!)

The current status of the churn request

#### subscription ([Subscription](/graphql-api/api-reference/objects/subscription.md)!)

The subscription this churn request belongs to

#### updatedAt ([ISO8601DateTime](/graphql-api/api-reference/objects/iso-8601-date-time.md)!)

When the churn request was last updated


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.firmhouse.com/graphql-api/api-reference/objects/churn-request.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
